Name:           nginx-rtmp
Version:        1.11.5
Release:        1%{?dist}
Summary:        NGINX-based Media Streaming Server
License:        GPL
BuildRequires:  pcre-devel openssl-devel zlib-devel
Source0:        https://nginx.org/download/nginx-%{version}.tar.gz
Source1:        nginx-rtmp-module.tar.gz

%description
NGINX is an HTTP and reverse proxy server, a mail proxy server,
and a generic TCP/UDP proxy server. This package has rtmp support.

%prep
%setup -q -n nginx-%{version} -a 1

%build
./configure \
    --prefix=%{_prefix} \
    --conf-path=%{_sysconfdir}/nginx-rtmp/nginx.conf \
    --http-log-path=%{_localstatedir}/log/nginx-rtmp/access.log \
    --error-log-path=%{_localstatedir}/log/nginx-rtmp/error.log \
    --pid-path=%{_localstatedir}/run/nginx-rtmp \
    --without-http_fastcgi_module \
    --without-http_scgi_module \
    --add-module=nginx-rtmp-module
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install
mv $RPM_BUILD_ROOT/usr/sbin/nginx $RPM_BUILD_ROOT/usr/sbin/nginx-rtmp
cat<<EOF > $RPM_BUILD_ROOT/etc/nginx-rtmp/nginx.conf
#user nginx-rtmp;
worker_processes 1;

events {
    worker_connections 1024;
}

rtmp {
    server {
        listen 9021;
        application live {
            live on;
        }
    }
}
EOF

%files
%defattr(-,root,root,-)
%{_sysconfdir}/nginx-rtmp/*
%exclude %{_sysconfdir}/nginx-rtmp/*.default
%exclude %{_sysconfdir}/nginx-rtmp/*_params
%exclude %{_sysconfdir}/nginx-rtmp/fastcgi*
%exclude %{_sysconfdir}/nginx-rtmp/koi-*
%{_sbindir}/nginx-rtmp
%exclude %{_prefix}/html
